#.DBusObserver.Message


Arguments
r
Variant[]

Destination
r
s

Interface
r
s

Member
r
s

Object
r
s

Sender
r
s

Serial
r
i

Type
r
i{DBusMessageType}

#DBusObserver

C
:Message
:


Error
m

[(Error)s(Type)s]
Reply
m

[(Signature)s(Arguments)Array;]
_free
m


_new
m

(Connection)DBusConnection;(Type)i{DBusMessageType}[(Object)s(Member)s(Interface)s(Destination)s]
Enabled
p
b

Message
r
.DBusObserver.Message

#DBusVariant

C
Signature
C
s
v
_free
m


Value
p
v

#_DBus


Error
C
i
3
Method
C
i
1
Reply
C
i
2
Signal
C
i
4
~DBusMessageType
E
i
Method,Reply,Signal,Error
_SplitSignature
M
String[]
(Signature)s
Debug
P
b

#_DBusConnection


_Connect
M
DBusConnection
(System)b
Register
m

(Object)DBusObject;(Path)s[(Interface)String[];]
Unregister
m

(Object)DBusObject;
_CallMethod
m
v
(Application)s(Object)s(Interface)s(Method)s(InputSignature)s(OutputSignature)s(Arguments)Array;
_Introspect
m
s
(Application)s[(Object)s]
_ReleaseName
m
b
(Name)s
_RequestName
m
b
(Name)s[(Unique)b]
_SendSignal
m
v
(Object)s(Interface)s(Signal)s(InputSignature)s(Arguments)Array;
_free
m


Tag
p
v

Applications
r
String[]

_Name
r
s

#DBus
_DBus
C
System
R
DBusConnection

Session
R
DBusConnection

Name
P
s

_ApplicationCache
V
Collection

Null
R
o

Unique
P
b

MachineId
R
s

'@{since 3.19}
'
'Return the DBus machine identifier
_get
M
DBusApplication
(Application)s
_Normalize
M
s
(sName)s[(bKeepCase)b(sMore)s]
_NormalizeAppId
M
s
(sName)s
Register
M

(Object)DBusObject;(Path)s[(Interfaces)String[];]
Unregister
M

(Object)DBusObject;
IsRegistered
M
b
(Object)DBusObject;
Raise
M

(Object)DBusObject;(Signal)s[(Arguments)Variant[];]
_HasSystemTray
M
b

#DBusApplication

C
Connection
r
DBusConnection

Name
r
s

Index
r
i

_new
m

(Connection)DBusConnection;(ApplicationName)s
_get
m
DBusProxy
(ObjectPath)s[(Interface)s]
_Introspect
m
s
(sObjectPath)s
Register
m

(Object)DBusObject;(Path)s[(Interfaces)String[];]
Unregister
m

(Object)DBusObject;
Raise
m

(Object)DBusObject;(Signal)s[(Arguments)Variant[];]
#DBusConnection
_DBusConnection
C
Open
m
s

Close
m


_get
m
DBusApplication
(Application)s
'Return an application connected on this bus from its name.
Exist
m
b
(Application)s
'@{since 3.19}
'
'Check if a specific application name is already used.
'
'- ~Application~: The name of the application on the bus.
Start
m

(Application)s
'@{since 3.19}
'
'Start a DBus application service from its name, and waits until it is available.
'
'- ~Application~: The name of the application to start.
#DBusFile
DBusVariant
C
'@{since 3.19}
'
'This class implements the 'h' DBus datatype that encapsulates a file descriptor.
_Stream
v
Stream

Signature
C
s
"h"
_call
M
DBusFile
(Stream)Stream;
#DBusObject

C
_ObjectCache
V
Collection

_Path
r
s

_AddChild
m

(sChild)s
_RemoveChild
m

(sChild)s
_Register
m

(hConnection)DBusConnection;(sFullPath)s[(aInterface)String[];]
_Unregister
m

(hConnection)DBusConnection;
_Introspect
m
s

DBusObserver_Message
m


_Raise
m

(hConnection)DBusConnection;(sSignal)s(aArg)o
#DBusProxy

C
Children
r
String[]

_Introspection
r
s

_new
m

(Application)DBusApplication;(ObjectPath)s[(Interface)s]
_GetSignature
m
s
(sSymbol)s[(bFormat)b]
_Invoke
m
v
(sName)s(aArg)Variant[];
_unknown
m
v
.
_property
m
b

_GetSymbols
m
String[]
[(Which)s]
#DBusSignal

C
Enabled
p
b

_new
m

(Connection)DBusConnection;(Interface)s[(Object)s(Signal)s(Every)b]
DBusObserver_Message
m


:Signal
:

(Signal)s(Arguments)Variant[];
#DBusValues
DBusVariant
C
#_DBusNull

CA
